""" $Id$ """


def index():
	"""Main Controller handling report.

	"""
	return 'Report section'


def report_1():
	"""First trial
	
	"""
	# Resolve foreign key
	query = db.publications.id_collaborations == db.collaborations.id
	query = (query) & (db.publications.id_publishers == db.publishers.id)
	query = (query) & (db.publications.id_categories_aeres == db.categories_aeres.id)

	# publication with comite de lecture
	query = (query) & (db.publications.conference_title == '')
	query = (query) & ((db.categories_aeres.code  == 'ACL') | (db.categories_aeres.code  == 'ACLN'))
	
	# Interrogate the database
	rows = db(query).select(db.publications.title,
					   		db.publications.authors,
					   		db.collaborations.collaboration,
					   		db.publishers.abbreviation,
					   		db.publications.year,
					   		db.publications.doi,
					   		db.publications.volume,
					   		db.publications.first_page,
					   		db.publications.last_page,
					   		db.publications.conference_title,
					   		db.categories_aeres.code)
	
		
	return {'title': 'Rapport 1', 'publis': rows}
