# -*- coding: utf-8 -*-
""" db_insert

	Insert defaults values in the tables
	
	$Id$
	
"""

if not db(db.categories_aeres.id).count():
	db.categories_aeres.insert(id=1, code= T('undefined'), definition=T('undefined'))


if not db(db.collaborations.id).count():
	db.collaborations.insert(id=1, collaboration=T('undefined'))
	db.collaborations.insert(collaboration='Atlas Collaboration')
	db.collaborations.insert(collaboration='H1 Collaboration')
	db.collaborations.insert(collaboration='LHCb Collaboration')


if not db(db.countries.id).count():
	db.countries.insert(id=1, country=T('undefined'), abbreviation=T('undefined'))
	db.countries.insert(country="France", abbreviation="FR")
	db.countries.insert(country="Allemagne", abbreviation="DE")
	db.countries.insert(country="Etat-Unis", abbreviation="USA")


if not db(db.projects.id).count():
	db.projects.insert(id=1, project=T('undefined'))


if not db(db.publishers.id).count():
	db.publishers.insert(id=1, publisher=T('undefined'), abbreviation=T('undefined'))

	db.publishers.insert(publisher="Nuclear Instruments and Methods", 
						 abbreviation="Nucl. Instrum. Methods Phys. Res.")	
	db.publishers.insert(publisher="Physics Letter B", 
						 abbreviation="Phys. Lett. B")


if not db(db.reports.id).count():
	db.reports.insert(id=1, type=T('undefined'))
	db.reports.insert(type="LHCb Note")


if not db(db.teams.id).count():
  db.teams.insert(id=1, team=T('undefined'))
  db.teams.insert(team="Atlas")
  db.teams.insert(team="Antares")
  db.teams.insert(team="D0")
  db.teams.insert(team="H1")
  db.teams.insert(team="LHCb")
  db.teams.insert(team="Renoir")
