/**
 * Plugin to render mathematics formula embedded in grid content.
 * The processing is performed by MathJax.
 * The MathJax library is loaded by the framework
 * 
 * @version $Id$
 *
 */

Ext.namespace('App.grid');
 
App.grid.MathJax = Ext.extend(Object, {
 	
	init: function(grid){

	grid.getView().on('refresh', function(){
		MathJax.Hub.PreProcess();
		MathJax.Hub.Process();
	})
		
	},
});
	
Ext.preg('pGridMathJax', App.grid.MathJax);