/**
 * form_2.js
 * 
 * Script to test the entryFormPanel
 * $Id$
 *
 */

Ext.namespace('App.test');


/**
 * main function
 */

var main = function(provider, response){

	var model = response.result.model;
	var mytable = model.table;

	console.log("Model");
	console.dir(model);
	
	/*
	 * create the EntryForm
	 * containing a store to push data in the database
	 */	
	var formPanel = new App.form.EntryFormPanel({
		width: 335,
		model: model,
	});

	formPanel.render('appmain');
};


Ext.onReady(function(){

    Ext.QuickTips.init();

	// Expose the remote service cfgSvc
	Ext.Direct.addProvider(App.cfgSvcMethods);

	// Request form model from the server
	cfgSvc.getFormModel('distributions', main)

});