/**
 * form_2.js
 * 
 * Script to test the entryFormPanel
 * $Id$
 *
 */

Ext.namespace('App.test');


/**
 * main function
 */

var main = function(provider, response){

	var cfg = response.result;

	console.log("Configuration");
	console.dir(cfg);

	// instanciate the form	
	var form = new App.form.EntryFormPanel(cfg);

	// the viewport to hold the form
	// using all space available in the browser
	var vp = new Ext.Viewport({
		region: 'center',
		layout: 'fit',
		items: [form]
	});
	
	vp.render('appmain');
};


Ext.onReady(function(){

    Ext.QuickTips.init();

	// Expose the remote service cfgSvc
	Ext.Direct.addProvider(App.cfgSvcMethods);

	// Request form model from the server
	cfgSvc.getFormModel('publications', main)

});