/**
 * store_1.js
 *
 * To test and debug store.
 * $Id$
 *
 */
Ext.namespace('App.data');


/**
 * main function
 */

var main = function(provider, response){

	var model = response.result.model;
	
	console.log('model');
	console.dir(model.store);
	
	var store = new App.data.JsonStore({
		url: App.dburl,
		model: model.store,
//		autoSave: false,			
	});
	
	store.load();

	/* 
	 * play with the store when loaded
	 * Un-comment block of lines to test:
	 * update, add or destroy functionalities
	 * 
	 */
	
	store.on("load",function(){
		console.log("store loaded: "+this.getCount()+" records")
	
		// update the record
//		var record1 = this.getAt(4);
//		record1.set("TeamsTeam", "a ab abc");
//		this.save();

		// Add a new record
		var record2 = new this.recordType();
		record2.set("TeamsTeam", "foo");
		this.add(record2);
//		this.insert(0, record2);
		this.save();
		
		// Delete a record
//		var record3 = this.getAt(this.find("TeamsId", "3"));
//		console.log("records to be delete");
//		console.dir(record3);
//		this.remove(record3);
//		this.save();
		
	}, store);
	
};


Ext.onReady(function(){

    Ext.QuickTips.init();

	// Expose the remote service cfgSvc
	Ext.Direct.addProvider(App.cfgSvcMethods);

	// Request grid models from the server
	cfgSvc.getGridModel('teams', main)

});